writescratch
Prev | Orchestra Opcodes and Operators | Next

## writescratch

writescratch — writes a value into the scratchpad of the instance of an instrument.

## Description

The writescratch opcode writes one of four scalar values to be stored in the instance of an instrument.

## Syntax

    writescratchival[, index]

## Initialisation

ival -- variable to write.

index -- which value to write, defaulting to zero.

## Examples

Here is an example of the writescratch opcode. It uses the file readscratch.csd.

Example 1232. Example of the writescratch opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -n
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    instr 1

    ilast readscratch
          writescratch p2
    ilen  readscratch 1
          writescratch p3, 1
          printf_i "last run at %f for %f\n", ilen, ilast, ilen
    endin

    </CsInstruments>
    <CsScore>
    i 1 0 1
    i 1 2 3
    i 1 6 10
    e
    </CsScore>
    </CsoundSynthesizer>

## See also

Miscellaneous opcodes

## Credits

Author: John ffitch
March 2013

New in Csound version 6.00

Prev | Up | Next
wrap | Home | wterrain